<!-- eslint-disable vue/no-v-html -->
<!-- eslint-disable vue/singleline-html-element-content-newline -->
<template>
  <v-card height="100%">
    <v-card-title>{{ $t('button.help') }}</v-card-title>
    <v-card-text>
      <v-expansion-panels accordion :value="0">
        <v-expansion-panel>
          <v-expansion-panel-header>{{ $t('help.first-step-title') }}</v-expansion-panel-header>
          <v-expansion-panel-content>
            <div v-html="$t('first_step')" />
          </v-expansion-panel-content>
        </v-expansion-panel>

        <v-expansion-panel>
          <v-expansion-panel-header>
            {{ $t('help.labels-and-analyzes-title') }}
          </v-expansion-panel-header>
          <v-expansion-panel-content>
            <div v-html="$t('labels_and_analyzes')" />
          </v-expansion-panel-content>
        </v-expansion-panel>

        <v-expansion-panel>
          <v-expansion-panel-header>{{ $t('help.view-title') }}</v-expansion-panel-header>
          <v-expansion-panel-content>
            <div v-html="$t('views')" />
          </v-expansion-panel-content>
        </v-expansion-panel>

        <v-expansion-panel>
          <v-expansion-panel-header>
            {{ $t('help.label-templates-title') }}
          </v-expansion-panel-header>
          <v-expansion-panel-content>
            <div v-html="$t('label_templates')" />
          </v-expansion-panel-content>
        </v-expansion-panel>

        <v-expansion-panel>
          <v-expansion-panel-header> {{ $t('shortcut.title') }} </v-expansion-panel-header>
          <v-expansion-panel-content>
            <b>{{ $t('shortcut.navigate-piece.section') }}</b>
            <br>
            • {{ $t('shortcut.navigate-piece.scrollbar') }}
            <br>
            • <icn left /> / <icn right />
            <br>
            • <icn shift /> <icn left /> / <icn shift /> <icn right />
            {{ $t('shortcut.navigate-piece.10seconds') }}
            <br>
            • <icn shift /> <kbd>{{ $t('shortcut.key.wheel') }}</kbd>
            <br>
            • (when available) <kbd>horizontal Mousewheel</kbd>
            <br>
            • (when available, touchpad) <kbd>horizontal scroll gesture</kbd>
            <!--
              • (si disponible) <kbd>molette horizontale</kbd>
              <br>
              • (si disponible, pavé tactile) <kbd>geste de défilement horizontal</kbd>
            -->
            <br>
            • <kbd>Home</kbd>
            : {{ $t('shortcut.navigate-piece.start') }}
            <br>
            • <kbd>t</kbd>
            : {{ $t('shortcut.navigate-piece.switch-time') }}
            <br>
            • <kbd>m</kbd>
            : {{ $t('shortcut.navigate-piece.switch-onsets') }}
            <br>
            <br>

            <b>{{ $t('shortcut.navigate-labels.section') }}</b>
            <br>
            • <icn shift /> <icn left /> / <icn shift /> <icn right />
            : {{ $t('shortcut.navigate-labels.previous-next') }}
            <br>
            • <kbd>{{ $t('shortcut.key.ctrl') }}</kbd> <icn left />
            / <kbd>{{ $t('shortcut.key.ctrl') }}</kbd> <icn right />
            : {{ $t('shortcut.navigate-labels.previous-next-type') }}
            <br>
            • <kbd>{{ $t('shortcut.key.ctrl') }}</kbd> <icn shift /> <icn left />
            / <kbd>{{ $t('shortcut.key.ctrl') }}</kbd> <icn shift /> <icn right />
            : {{ $t('shortcut.navigate-labels.previous-next-tag') }}
            <br>
            • <icn enter>{{ $t('shortcut.key.enter') }}</icn>
            / <kbd>{{ $t('shortcut.key.double-click') }}</kbd>
            : {{ $t('shortcut.navigate-labels.edit') }}
            <br>
            <br>

            <b>{{ $t('shortcut.edit-label.section') }}</b>
            <br>
            • <icn up /> / <icn down />
            : {{ $t('shortcut.edit-label.one-beat') }}
            <br>
            • <icn shift /> <icn up /> /  <icn shift /> <icn down />
            : {{ $t('shortcut.edit-label.one-bar') }}
            <br>
            <br>

            <b>{{ $t('shortcut.create-label.section') }}</b>
            <br>
            • <kbd>{{ $t('shortcut.key.click') }}</kbd>, <kbd>{{ $t('shortcut.key.drag') }}</kbd>
            : {{ $t('shortcut.create-label.create') }}
            <br>
            • <kbd>1</kbd>/<kbd>2</kbd>/<kbd>3</kbd>/...
            : {{ $t('shortcut.create-label.template') }}
            <br>
            • <kbd>{{ $t('shortcut.key.ctrl') }}</kbd> <kbd>{{ $t('shortcut.key.enter') }}</kbd>
            {{ $t('shortcut.create-label.following') }}
            <br>
            • <kbd>{{ $t('shortcut.key.ctrl') }}</kbd> <icn shift />
            <kbd>{{ $t('shortcut.key.enter') }}</kbd>
            {{ $t('shortcut.create-label.feedback') }}
            <br>
            <br>

            <b>{{ $t('shortcut.copy-label.section') }}</b>
            <br>
            • <kbd>{{ $t('shortcut.key.ctrl') }}</kbd> <kbd>c</kbd>
            : {{ $t('shortcut.copy-label.pretty') }}
            <br>
            • <kbd>j</kbd>
            : {{ $t('shortcut.copy-label.json') }}
            <br>
            • <kbd>{{ $t('shortcut.key.ctrl') }}</kbd> <kbd>v</kbd>
            : {{ $t('shortcut.copy-label.paste') }}
            <br>
            <br>

            <b>{{ $t('shortcut.zoom.section') }}</b>
            <br>
            • <kbd>{{ $t('shortcut.key.ctrl') }}</kbd> <kbd>{{ $t('shortcut.key.wheel') }}</kbd>
            :  {{ $t('shortcut.zoom.zoom-wheel') }}
            <br>
            • <kbd>{{ $t('shortcut.key.ctrl') }}</kbd> <icn plus />
            / <kbd>{{ $t('shortcut.key.ctrl') }}</kbd> <icn minus />
            : {{ $t('shortcut.zoom.zoom-app') }}
            <br>
            <br>

            <b>{{ $t('shortcut.audio.section') }}</b> ({{ $t('shortcut.audio.cursor') }})
            <br>
            • <icn play />/<icn pause />
            / <kbd>{{ $t('shortcut.key.space') }}</kbd>
            : {{ $t('shortcut.audio.play-pause') }}
            <br>
            • <icn backspace>{{ $t('shortcut.key.backspace') }}</icn>
            : {{ $t('shortcut.audio.start') }}
            <br>
            • <icn shift /> <kbd>{{ $t('shortcut.key.space') }}</kbd>
            / <icn shift /> <kbd>{{ $t('shortcut.key.double-click') }}</kbd>
            {{ $t('shortcut.where.on-a-label') }}
            : {{ $t('shortcut.audio.play-once') }}
            <br>
            • <kbd>{{ $t('shortcut.key.ctrl') }}</kbd><icn shift />
            <kbd>{{ $t('shortcut.key.space') }}</kbd>
            / <kbd>{{ $t('shortcut.key.ctrl') }}</kbd><icn shift />
            <kbd>{{ $t('shortcut.key.double-click') }}</kbd>
            {{ $t('shortcut.where.on-a-label') }}
            : {{ $t('shortcut.audio.loop') }}
            <br>
            • <icn shift /> <kbd>{{ $t('shortcut.key.click') }}</kbd>
            {{ $t('shortcut.where.on-a-label') }}
            : {{ $t('shortcut.audio.start-label') }}
            <br>
            • <icn shift /> <kbd>{{ $t('shortcut.key.click') }}</kbd>
            {{ $t('shortcut.where.on-background') }}
            : {{ $t('shortcut.audio.move-mouse') }}
            <br>
            • <kbd>n</kbd>
            : {{ $t('shortcut.audio.play-click') }}
            <br>
            • <kbd>a</kbd>
            : {{ $t('shortcut.audio.switch') }}
            <br>
            • <kbd>.</kbd>
            : {{ $t('shortcut.audio.scroll') }}
            <br>
            <br>

            <b>{{ $t('shortcut.synchro.section') }}</b>
            <br>
            • <kbd>i</kbd> {{ $t('shortcut.synchro.while-tapping') }}
            : {{ $t('shortcut.synchro.tap-ignore') }}
            <br>
            • <kbd>d</kbd> {{ $t('shortcut.synchro.while-tapping') }}
            : {{ $t('shortcut.synchro.tap-delete') }}
            <br>
            • <kbd>r</kbd> {{ $t('shortcut.synchro.while-tapping') }}
            : {{ $t('shortcut.synchro.tap-retry') }}
            <br>
            <br>

            <b>{{ $t('shortcut.video.section') }}</b> (when available)
            <br>
            • {{ $t('shortcut.video.zoom-hide') }}
            <br>
            • <kbd>&lt;</kbd> / <kbd>&gt;</kbd>
            : {{ $t('shortcut.video.slow-fast') }}
            <!-- (<icn shift /> and <kbd>,</kbd>)  no, keyboard dependant -->
            <br>
            • other <a href="https://support.google.com/youtube/answer/7631406">shortcuts</a> from the YouTube player
            <!-- • autres <a href="https://support.google.com/youtube/answer/7631406">raccourcis claviers</a> du lecteur YouTube -->
          </v-expansion-panel-content>
        </v-expansion-panel>
      </v-expansion-panels>
    </v-card-text>

    <dialog-actions v-if="actions" :actions="['OK']" />
  </v-card>
</template>
<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator';
import { accountMailUrl, contactMailUrl } from './mail';
import Icn from './utils/Icn.vue';

@Component({
  components: { Icn },
})
export default class AboutDialog extends Vue {
  @Prop({ required: true })
  actions!: boolean;

  contactMailUrl = contactMailUrl;

  accountMailUrl = accountMailUrl;
}
</script>
